View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000100Ecere SDKecerepublic2008-07-16 03:522013-05-19 22:15
ReporterDeecodeuh 
Assigned Tojerome 
PrioritylowSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000100: Bitmap image wont load properly as a resource (Image attached)
DescriptionSave image in gimp as a .bmp and it wont load in ecere.
(Possibly because of compression)
TagsNo tags attached.
Attached Files? file icon grass-img.bmp [^] (126 bytes) 2008-07-16 03:52

- Relationships

-  Notes
(0000066)
jerome (administrator)
2008-08-16 05:15

The bitCount in the BMP header is set to 1 .
Ecere currently only supports 8 (RLE compressed or not) and 24 (uncompressed) bit images.
(0000139)
jerome (administrator)
2009-12-18 04:31

Support for 1-bit PNG and BMP (uncompressed) has been added.
These are however still loaded into 24(32) bit Bitmap.
The attached grass-img.bmp has been verified to load properly.

- Issue History
Date Modified Username Field Change
2008-07-16 03:52 Deecodeuh New Issue
2008-07-16 03:52 Deecodeuh File Added: grass-img.bmp
2008-08-15 16:06 jerome Status new => assigned
2008-08-15 16:06 jerome Assigned To => jerome
2008-08-15 16:06 jerome Priority normal => immediate
2008-08-15 16:06 jerome Severity minor => major
2008-08-16 05:15 jerome Note Added: 0000066
2008-08-16 05:15 jerome Assigned To jerome =>
2008-08-16 05:15 jerome Status assigned => confirmed
2008-08-16 05:16 jerome Priority immediate => none
2008-08-16 05:16 jerome Severity major => feature
2009-05-03 06:49 jerome Status confirmed => assigned
2009-05-03 06:49 jerome Assigned To => joey
2009-05-03 06:49 jerome Priority none => low
2009-12-13 21:53 jerome Assigned To joey =>
2009-12-18 04:31 jerome Status assigned => resolved
2009-12-18 04:31 jerome Resolution open => fixed
2009-12-18 04:31 jerome Assigned To => jerome
2009-12-18 04:31 jerome Note Added: 0000139
2012-03-08 15:34 redj Target Version => 0.44 Ryoan-ji
2012-03-08 18:08 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:53 redj Category => Ecere Runtime Library
2012-03-29 07:53 redj Project @1@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker